# ===========================================================================
#
# ===========================================================================
#
# SYNOPSIS
#
#   AX_PROG_FOLD_GNU()
#
# DESCRIPTION
#
#   If the fold program is found and by its --version flag indicates it to be a
#   GNU version, the ax_cv_prog_fold_gnu variable is set to 'yes' otherwise
#   ax_cv_prog_fold_gnu is set to 'no'.
#
#   The test done is relatively simple, so a 'no' result should likely not be
#   fatal result for the build process - unless working in a very strict GNU
#   build environment.
#
# LICENSE
#
#   Copyright (c) 2021 William F. Pokorny
#
#   Copying and distribution of this file, with or without modification, are
#   permitted in any medium without royalty provided the copyright notice
#   and this notice are preserved. This file is offered as-is, without any
#   warranty.

AC_DEFUN([AX_PROG_FOLD_GNU], [dnl
  AC_CACHE_CHECK([for GNU fold command], [ax_cv_prog_fold_gnu], [
    ax_cv_prog_fold_gnu=no
    if fold --version 2>/dev/null | head -1 | grep -q GNU; then
      ax_cv_prog_fold_gnu=yes
    fi
  ])
])dnl AX_PROG_FOLD_GNU
